/* Функции */
// Drop-menu
function DropMenu(callback) {
    // Для всех ссылок, открывающих .wa-drop-menu
    $('[wa-drop-menu]').each(function(index, element) {
        var dropLink = $(element);
        dropLink.click(function() {
            var dropMenu = $($(element).attr('wa-drop-menu'));
            // Показываем/скрываем
            if (dropMenu.is(':visible')) {
                dropMenu.hide();
            } else {
                $('.wa-drop-menu:visible').hide(); // закрываем лишнее
                dropMenu.fadeIn(500);
            }
            // Скрываем при клике вне элемента
            dropMenu.clickNoThere(function() {
                if (dropMenu.is(':visible')) {
                    dropMenu.hide();
                }
            });
            // callback
            if ($.isFunction(callback)) {
                callback();
            }
            return false;
        });
    });
}

/* AJAX */



// Выключение таймера
function stopMainTimer() {
    $(document).stopTime('MainTimer');
}
// Основная функция
function mainFunc() {

    // Drop-menu
    DropMenu(function() {

        // Быстрые уведомления
        ajaxNotifs();

    });

    // Позиция курсора в поле ввода сообщения
    $('[data-select-range]').selectRange();

    // Отключаем аякс навигацию на все формы, где есть капча
    $('form').each(function(index, element) {
        var form = $(element);
        if (form.find('img#captcha').length) {
            form.attr('data-noajax', 1);
        }
    });

}
// Стили
function styleFunc() {

    // Для .wa-nav-link
    $('.wa-nav-link').alignToWidth('a');

    // Для .wa-nav-foot
    $('.wa-nav-foot').alignToWidth('a');

}

/* Во время выполнения */

$(document).ready(function() {
    styleFunc();
});

$(function() {
    startMainTimer();
    mainFunc();
});